> For the complete documentation index, see [llms.txt](https://docs.stevoscripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stevoscripts.com/stevo-lib/stevo_lib/functions/server-functions.md).

# Server Functions

## GetName

Returns the player's characters name.\
\
Example Usage:

```lua
local name = stevo_lib.GetName(source)

print(('Player's name is:%s'):format(name))
```

## GetJobCount

Returns the amount of players on a certain job.\
\
Example Usage:

```lua
local copCount = stevo_lib.GetJobCount(source, 'police')

print(('There are %s players on the police job'):format(copCount))
```

## GetPlayerGroups

Returns the players job/gang roles\
\
Example Usage:

```lua
local playerJob, playerGang = stevo_lib.GetPlayerGroups(source)

if playerJob ~= 'police' then 
    DropPlayer(source, 'You are not police!')
end
```

## HasItem

Returns the amount of an item a player has.\
\
Example Usage:

```lua
local lemonCount = stevo_lib.HasItem(source, 'lemon')

if lemonCount < 10 then 
    DropPlayer(source, 'You do not have enough lemons')
end
```

## RemoveItem

Removes a certain amount of a certain item from a player\
\
Example Usage:

```lua
stevo_lib.RemoveItem(source, 'lemon', 10)

print('Removed 10 lemons from the player')
```

## AddItem

Adds a certain amount of a certain item to a player.\
\
Example Usage:

```lua
stevo_lib.AddItem(source, 'lemon', 10)

print('Added 10 lemons from the player')
```

## RegisterUsableItem

Registers a specified item as usable.\
\
Example Usage:

```lua
 stevo_lib.RegisterUsableItem('lemon', function(source)
     print('Player used their lemon')
 end)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stevoscripts.com/stevo-lib/stevo_lib/functions/server-functions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
